PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Typedefs
podbc.h File Reference
`#include <ptclib/vartype.h>`
Include dependency graph for podbc.h:

Go to the source code of this file.

## Classes
class | PODBC
| ODBC Support for PWLIB. More...
class | PODBC::Field
| Class for Field Data. More...
class | PODBC::Row
| Database Row Class This class functions as a simple wrapper of the Statement class to fetch/Save data to the Datasource. More...
class | PODBC::RecordSet
    PODBC::RecordSet
This is the main Class to access Data returned by a Select Query. More...
struct | PODBC::ConnectData
    This class is a multipurpose use
class for storing parameters when initiating connection to DataSource. More...

## Typedefs
typedef PODBC::Statement | PODBCStmt
typedef PODBC::Row | POBDCRecord
typedef PODBC | PDSNConnection

## Typedef Documentation

typedef PODBC PDSNConnection

typedef PODBC::Row POBDCRecord

typedef PODBC::Statement PODBCStmt